<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс TimeDialog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Сигналы</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classTimeDialog-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс TimeDialog</div>  </div>
</div><!--header-->
<div class="contents">

<p>Диалог для выбора времени  
 <a href="classTimeDialog.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:TimeDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classTimeDialog__inherit__graph.png" border="0" usemap="#TimeDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="TimeDialog_inherit__map" id="TimeDialog_inherit__map">
<area shape="rect" title="Диалог для выбора времени" alt="" coords="5,80,103,107"/>
<area shape="rect" title=" " alt="" coords="22,5,86,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса TimeDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classTimeDialog__coll__graph.png" border="0" usemap="#TimeDialog_coll__map" alt="Collaboration graph"/></div>
<map name="TimeDialog_coll__map" id="TimeDialog_coll__map">
<area shape="rect" title="Диалог для выбора времени" alt="" coords="5,80,103,107"/>
<area shape="rect" title=" " alt="" coords="22,5,86,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:a9ad43a25a6586ce068f98501ca5cbeaf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTimeDialog.html#a9ad43a25a6586ce068f98501ca5cbeaf">okClicked</a> ()</td></tr>
<tr class="memdesc:a9ad43a25a6586ce068f98501ca5cbeaf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Сигнал нажатого "Ок".  <a href="classTimeDialog.html#a9ad43a25a6586ce068f98501ca5cbeaf">Подробнее...</a><br /></td></tr>
<tr class="separator:a9ad43a25a6586ce068f98501ca5cbeaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:abd8e3a606288d22f73ef0cb48fc91aca"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTimeDialog.html#abd8e3a606288d22f73ef0cb48fc91aca">establishedTime</a></td></tr>
<tr class="memdesc:abd8e3a606288d22f73ef0cb48fc91aca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Время  <a href="classTimeDialog.html#abd8e3a606288d22f73ef0cb48fc91aca">Подробнее...</a><br /></td></tr>
<tr class="separator:abd8e3a606288d22f73ef0cb48fc91aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Диалог для выбора времени </p>

<p class="definition">См. определение в файле <a class="el" href="TimeDialog_8qml_source.html">TimeDialog.qml</a> строка <a class="el" href="TimeDialog_8qml_source.html#l00014">14</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a9ad43a25a6586ce068f98501ca5cbeaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ad43a25a6586ce068f98501ca5cbeaf">&#9670;&nbsp;</a></span>okClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TimeDialog::okClicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Сигнал нажатого "Ок". </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="abd8e3a606288d22f73ef0cb48fc91aca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd8e3a606288d22f73ef0cb48fc91aca">&#9670;&nbsp;</a></span>establishedTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TimeDialog::establishedTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Время </p>

<p class="definition">См. определение в файле <a class="el" href="TimeDialog_8qml_source.html">TimeDialog.qml</a> строка <a class="el" href="TimeDialog_8qml_source.html#l00017">17</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="TimeDialog_8qml_source.html">TimeDialog.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
